﻿var TableRenderer = (function () {
  function TableRenderer () {
  }  

  TableRenderer.prototype.getRepresentations = function () {
    return [
      { shortDisplayName: "Tables" }
    ]
  };

  TableRenderer.prototype.bind = function (renderState) {
    this.renderState = renderState;
  };

  TableRenderer.prototype.render = function (target) {     

	var elem = document.createElement("div");	
	var arr=this.renderState.source.Tables;
	for (var i = 0, len = arr.length; i < len; i++) {		
		var btn=document.createElement("button");
		btn.className="accordion";
		btn.innerText=arr[i].TableName;						
		var div=document.createElement("div");
		div.className="panel";
		var p=document.createElement("p");
		p.innerText=arr[i].TableSql;		
		
		
		btn.onclick = function(){        
			this.classList.toggle("active");       
			var panel = this.nextElementSibling;
        
			if (panel.style.display === "block") {
				panel.style.display = "none";
			} else {
				panel.style.display = "block";
			}
		}
		
		
		div.appendChild(p);
		elem.appendChild(btn);	
		elem.appendChild(div);	
	}		
	
	
    target.inlineTarget.appendChild(elem);
  }

  return TableRenderer;
})();

xamarin.interactive.RendererRegistry.registerRenderer(
  function (source) {
    if (source.$type === "EfModelIntegration.TableModelList")
      return new TableRenderer;
  }
);